%define name	eet
%define version	0.9.9
%define release	0.%{cvsrel}.1mdk

%define cvsrel 20040913

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: Eet library
Name: %name
Version: %version
Release: %release
License: BSD
Group: System/Libraries
Source: %name-%{cvsrel}.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
URL: http://www.enlightenment.org/
BuildRequires: libjpeg-devel zlib-devel
Requires: libjpeg zlib

%description
Eet is a tiny library designed to write an arbitary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not
do zip as a zip itself has more complexity than is needed, and it was much
simpler to impliment this once here.

It also can encode and decode data structures in memory, as well as image
data for saving to eet files or sending across the network to other
machines, or just writing to arbitary files on the system. All data is
encoded ina platform independent way and can be written and read by any
architecture.

%package -n %libname
Summary: Eet library
Group: System/Libraries
Provides: %name
Obsoletes: %name

%description -n %libname
Eet is a tiny library designed to write an arbitary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not
do zip as a zip itself has more complexity than is needed, and it was much
simpler to impliment this once here.

It also can encode and decode data structures in memory, as well as image
data for saving to eet files or sending across the network to other
machines, or just writing to arbitary files on the system. All data is
encoded ina platform independent way and can be written and read by any
architecture.

%package -n %libnamedev
Summary: Eet headers, static libraries, documentation and test programs
Group: Development/Other
Requires: %{libname} = %{version}
Provides: %name-devel
Obsoletes: %name-devel

%description -n %libnamedev
Headers, static libraries, test programs and documentation for Eet

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name

%build

./autogen.sh

%configure

%make

%install

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING README 
%_libdir/libeet.so*
%_libdir/pkgconfig/*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/libeet.*a
%_bindir/eet*
%_includedir/Eet*

%changelog
* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-0.20040913.1mdk
- 0.9.9 20040913

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.2-3.20030730.1mdk
- 20030730

* Thu Jun 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.2-3.20030624.1mdk
- update to 20030624 CVS

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-2mdk
- provides & obsoletes

* Thu Apr 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-1mdk
- use macro
- use mklibname
- libification
- fix filelist
- clean spec
- uploaded by <tfernagut@wanadoo.be>

* Sat Jun 23 2001 The Rasterman <raster@rasterman.com>
- Created spec file
